(function($) {
	"use strict";

/* ----------------------------
    Preloader
    ------------------------------ */

$(window).on('load', function(){        
	$('#preloader').delay(300).fadeOut('slow',function(){
	$(this).remove();
	});
});

/* ----------------------------
    jQuery sticky area
    ------------------------------ */
	
$('.header-lover').sticky({
	topSpacing: 0,
});

/* ----------------------------
    Top Scroll
    ------------------------------ */

var offset = 220;
var duration = 500;
jQuery(window).on('scroll', function() {
	if (jQuery(this).scrollTop() > offset) {
		jQuery('.scroll-top').fadeIn(duration);
	} 
	else {
		jQuery('.scroll-top').fadeOut(duration);
	}
});
jQuery('.scroll-top').on('click', function() {
	event.preventDefault();
	jQuery('html, body').animate({scrollTop: 0}, duration);
	return false;
})

/* ----------------------------
	@module       Copyright
	@description  Evaluates the copyright year
    ------------------------------ */
	
var currentYear = (new Date).getFullYear();
	$(document).ready(function () {
		$(".current-year").text((new Date).getFullYear());
});

/* ----------------------------
    Smooth scroll js
    ------------------------------ */

$('a.smooth-menu').on("click", function (e) {
	e.preventDefault();
	var anchor = $(this);
	$('html, body').stop().animate({
		scrollTop: $(anchor.attr('href')).offset().top - 40
	}, 1000);
});

$('.nav-link').on('click',function() {
  $('.navbar-collapse').collapse('hide');
});

/* ----------------------------
    Counter up
    ------------------------------ */

$('.counter').counterUp({
	delay: 10,
	time: 500
});

/* ----------------------------
    Venobox
    ------------------------------ */

$('.venobox').venobox();

/* ----------------------------
    FAQ
    ------------------------------ */

  document.addEventListener('DOMContentLoaded', function () {
    const faqItems = document.querySelectorAll('.accordion-button');
    const faqImage = document.getElementById('faqImage');

    faqItems.forEach(item => {
      item.addEventListener('click', function () {
        const imageSrc = this.getAttribute('data-image-src');
        if (imageSrc) {
          // Apply fade-out effect before changing the image
          faqImage.classList.add('fade-out');

          // Wait for the fade-out transition to complete, then change the image
          setTimeout(() => {
            faqImage.src = imageSrc;
            faqImage.classList.remove('fade-out');
            faqImage.classList.add('fade-in');
          }, 300);

          // Remove fade-in class after the transition
          setTimeout(() => {
            faqImage.classList.remove('fade-in');
          }, 600);
        }
      });
    });
  });
/* ----------------------------
    Portfolio
    ------------------------------ */

var filterList = {
	init: function () {
	// MixItUp plugin
	// http://mixitup.io
	$('#portfoliolist').mixItUp({
  		selectors: {
    	target: '.portfolio',
    	filter: '.filter'
    		},
				load: {
				filter: '.analytics, .call-handling, .integration'  
			}
		});
	}
};

// Run the show!
filterList.init();

/* ----------------------------
    Testimonials
    ------------------------------ */

$('.testimonial-carousel').owlCarousel({
    loop: true,
    margin: 30,
    dots: false,
    items: 2,
    nav: false,
    autoplay: true,
    responsiveClass: true,
    responsive: {
        0: {
            items: 1
        },
        576: {
            items: 1
        },
        768: {
            items: 2
        },
        992: {
            items: 2
        }
    }
});

})(jQuery);